<?php
// Datum der ersten Tags der letzten Periode
// Format: JJJJ-MM-TT
$PeriodDate='0000-00-00';

// Errechneter Geburtstermin
// Format: JJJJ-MM-TT
$BirthDate='0000-00-00';
?>

<!DOCTYPE HTML>
<html lang="de-DE">
<head><title>Zwergen-Counter</title>
<meta name="robots" content="noindex">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" >
<meta name="viewport" content="width=device-width" />

<link href='http://fonts.googleapis.com/css?family=Josefin+Sans|Shadows+Into+Light' rel='stylesheet' type='text/css'>
<style type="text/css">
body { 
	background-color: #fafafa;
	color: #333333;
	font: 1.2em 'Josefin Sans', sans-serif;
	margin: 0 auto;
	padding: 10;
	text-align: center;
	width: 450px;
}
	
h1 {
	font-size: 1.4em;
	font-family: 'Shadows Into Light';
}
	
p { font-size: 1.2em; }
	
.meter { 
	height: 20px;  /* Can be anything */
	position: relative;
	background: #fafafa;
	-moz-border-radius: 25px;
	-webkit-border-radius: 25px;
	border-radius: 25px;
	padding: 10px;
	margin-left: 10px;
	margin-right: 10px;
	box-shadow: inset 0 -1px 1px rgba(51,51,51,0.3);
}

.meter > span {
  display: block;
  height: 100%;
  border-top-right-radius: 8px;
  border-bottom-right-radius: 8px;
  border-top-left-radius: 20px;
  border-bottom-left-radius: 20px;
  background-color: rgb(43,194,83);
  background-image: linear-gradient(
    center bottom,
    rgb(43,194,83) 37%,
    rgb(84,240,84) 69%
  );
  box-shadow: 
    inset 0 2px 9px  rgba(51,51,51,0.3),
    inset 0 -2px 6px rgba(0,0,0,0.4);
  position: relative;
  overflow: hidden;
  font-size: 16px;
}

.meter > span:after {
  content: "";
  position: absolute;
  top: 0; left: 0; bottom: 0; right: 0;
  background-image: linear-gradient(
    -45deg, 
    rgba(255, 255, 255, .2) 25%, 
    transparent 25%, 
    transparent 50%, 
    rgba(255, 255, 255, .2) 50%, 
    rgba(255, 255, 255, .2) 75%, 
    transparent 75%, 
    transparent
  );
  z-index: 1;
  background-size: 50px 50px;
  animation: move 2s linear infinite;
  border-top-right-radius: 8px;
  border-bottom-right-radius: 8px;
  border-top-left-radius: 20px;
  border-bottom-left-radius: 20px;
  overflow: hidden;
}
</style>

</head>
<body>
<h1>Der Zwergen-Counter</h1>
<?php

setlocale(LC_TIME, 'de_DE.UTF-8');

$d1 = new DateTime('NOW');  // now

// Check Daylight Saving Time and expand dates with time values
if (date('I', time())) {
	$FinalDate=$BirthDate.'T00:00:00+0200';
	$FirstDate=$PeriodDate.'T00:00:00+0200';
}else{
	$FinalDate=$BirthDate.'T00:00:00+0100';
	$FirstDate=$PeriodDate.'T00:00:00+0100';
}

$d2 = new DateTime($FinalDate);  // set the date +1 to compensate for 1-day  
$today = date('Y-m-d', time());

$diff = $d2->diff($d1);
list($y,$m,$d) = explode('-', $diff->format('%y-%m-%d'));
$months = $y*12 + $m;
$weeks = floor($d/7);
$days = $d%7 + 1;

function days($to, $today) {
    $day   = 24 * 3600;
    $final = strtotime($to);
	$today = strtotime($today);
	$seconds = $final - $today;
	$daysremain = round($seconds / $day);
	
    return $daysremain;
}

function months($from, $to) {
    $day   = 24 * 3600;
    $from  = strtotime($from);
    $to    = strtotime($to);
    $diff  = abs($to - $from);
    $monthsachieved = round($diff / $day / 28);
	
    return $monthsachieved;
}

if(strtotime($FinalDate)>time()){
 printf('<p>So lange brauche ich vermutlich noch:<br /><abbr title="'.strftime('%e. %B %G', strtotime($BirthDate)).'"><strong>');
 if ($months) {printf('%d Monat%s ', $months, $months>1?'e':'');}
     if ($weeks) {printf('%d Woche%s ', $weeks, $weeks>1?'n':'');}
     if ($days) {printf('%d Tag%s', $days, $days>1?'e':'');}
	 $remaining = days($FinalDate,$today);
	 echo "</strong><br />(" . $remaining . " Tage)</abbr></p>";
	 $AllDone = 0;
 }else{
    echo "<p>Ich sollte jetzt da sein :)</p>";
	$AllDone = 1;
 }
 
function diff_in_weeks_and_days($from, $to) {
    $day   = 24 * 3600;
    $from  = strtotime($from);
    $to    = strtotime($to);
    $diff  = abs($to - $from);
    $weeks = floor($diff / $day / 7);
    $days  = floor($diff / $day - $weeks * 7);
    $out   = array();
    if ($weeks) $out[] = "$weeks";
    $out[] = "+$days";
	
    return implode(' ', $out);
}

if(!$AllDone){
echo "<p>Mama ist jetzt in dieser Schwangerschaftswoche:<br /><strong>" . diff_in_weeks_and_days($FirstDate, $today) . "</strong><br />(" . months($FirstDate, $today) . ". Monat)</p>";
}

function height_and_weight_in_weeks($from, $to) {
	$sswh = array("n/a","n/a","n/a","n/a","n/a","n/a","n/a","1,6","2,3","3,1","4,1","5,4","7,4","8,7","10,1","11,6","13,0","14,2","15,3","16,4","25,6","26,7","27,8","28,9","30,0","34,6","35,6","37,6","38,6","39,9","41,1","42,4","43,7","45,0","46,2","47,4","48,6","49,8","50,7","51,2","51,7");
	$ssww = array("n/a","n/a","n/a","n/a","n/a","n/a","n/a","1","2","4","7","14","23","43","70","100","140","190","240","300","360","430","501","600","660","760","875","1005","1153","1319","1502","1702","1918","2146","2383","2622","2859","3083","3288","3462","3597");
    $day   = 24 * 3600;
    $from  = strtotime($from);
    $to    = strtotime($to);
    $diff  = abs($to - $from);
    $weeks = floor($diff / $day / 7);
	$days  = floor($diff / $day - $weeks * 7);
	if(!$days) $weeks = $weeks - 1;
    return $sswh[$weeks] ." Zentimeter</strong> gro&szlig;<br />und wiege <strong>" . $ssww[$weeks] . " Gramm</strong>.";
}

if(!$AllDone){
echo "<p>Ich bin jetzt ungef&auml;hr<br /><strong>" . height_and_weight_in_weeks($FirstDate, $today) . "</p>";
}

function percent($from, $to, $today) {
    $day   = 24 * 3600;
    $from  = strtotime($from);
    $final = strtotime($to);
	$today = strtotime($today);
    $diff  = abs($today - $from);
    $days  = floor($diff / $day * 7);
	$diffp = abs($final - $from);
	$daysp =  floor($diffp / $day * 7);
	
	$percent = round($days * 100 / $daysp, 2);
	if($percent >= 100){
		$percent = 100;
	}
	
    return $percent;
}

$percent = percent($FirstDate, $FinalDate, $today);


?>

<p>Fortschritt:<div class="meter"><span style="width: <?php echo $percent; ?>%;"><strong><?php echo $percent; ?>%</strong></span></div></p>

</body>
</html>